diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-login.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-login.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-login.php	2013-07-23 02:27:56.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-login.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 718,727 ****
  
  <?php if ( ! $interim_login ) { ?>
  <p id="nav">
! <?php if ( ! isset( $_GET['checkemail'] ) || ! in_array( $_GET['checkemail'], array( 'confirm', 'newpass' ) ) ) : ?>
! 	<?php if ( get_option( 'users_can_register' ) ) : ?>
! 		<?php echo apply_filters( 'register', sprintf( '<a href="%s">%s</a>', esc_url( wp_registration_url() ), __( 'Register' ) ) ); ?> |
! 	<?php endif; ?>
  	<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
  <?php endif; ?>
  </p>
--- 866,878 ----
  
  <?php if ( ! $interim_login ) { ?>
  <p id="nav">
! <?php if ( ! isset( $_GET['checkemail'] ) || ! in_array( $_GET['checkemail'], array( 'confirm', 'newpass' ) ) ) :
! 	if ( get_option( 'users_can_register' ) ) :
! 		$registration_url = sprintf( '<a href="%s">%s</a>', esc_url( wp_registration_url() ), __( 'Register' ) );
! 		/** This filter is documented in wp-login.php */
! 		echo apply_filters( 'register', $registration_url ) . ' | ';
! 	endif;
! 	?>
  	<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
  <?php endif; ?>
  </p>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-mail.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-mail.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-mail.php	2013-03-03 15:11:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-mail.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 10,15 ****
--- 10,16 ----
  /** Make sure that the WordPress bootstrap has run before continuing. */
  require(dirname(__FILE__) . '/wp-load.php');
  
+ /** This filter is documented in wp-admin/options.php */
  if ( ! apply_filters( 'enable_post_by_email_configuration', true ) )
  	wp_die( __( 'This action has been disabled by the administrator.' ) );
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-settings.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-settings.php	2013-02-21 15:24:34.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-settings.php	2013-10-07 14:34:09.000000000 -0500
***************
*** 107,112 ****
--- 107,113 ----
  require( ABSPATH . WPINC . '/formatting.php' );
  require( ABSPATH . WPINC . '/capabilities.php' );
  require( ABSPATH . WPINC . '/query.php' );
+ require( ABSPATH . WPINC . '/date.php' );
  require( ABSPATH . WPINC . '/theme.php' );
  require( ABSPATH . WPINC . '/class-wp-theme.php' );
  require( ABSPATH . WPINC . '/template.php' );
***************
*** 170,175 ****
--- 171,181 ----
  	unset( $network_plugin );
  }
  
+ /**
+  * Fires once all must-use and network-activated plugins have loaded.
+  *
+  * @since 2.8.0
+  */
  do_action( 'muplugins_loaded' );
  
  if ( is_multisite() )
***************
*** 208,213 ****
--- 214,226 ----
  if ( WP_CACHE && function_exists( 'wp_cache_postload' ) )
  	wp_cache_postload();
  
+ /**
+  * Fires once activated plugins have loaded.
+  *
+  * Pluggable functions are also available at this point in the loading order.
+  *
+  * @since 1.5.2
+  */
  do_action( 'plugins_loaded' );
  
  // Define constants which affect functionality if not already defined.
***************
*** 216,221 ****
--- 229,239 ----
  // Add magic quotes and set up $_REQUEST ( $_GET + $_POST )
  wp_magic_quotes();
  
+ /**
+  * Fires when comment cookies are sanitized.
+  *
+  * @since 2.0.11
+  */
  do_action( 'sanitize_comment_cookies' );
  
  /**
***************
*** 261,266 ****
--- 279,289 ----
   */
  $GLOBALS['wp_roles'] = new WP_Roles();
  
+ /**
+  * Fires before the theme is loaded.
+  *
+  * @since 2.6.0
+  */
  do_action( 'setup_theme' );
  
  // Define the template related constants.
***************
*** 293,309 ****
--- 316,341 ----
  		include( TEMPLATEPATH . '/functions.php' );
  }
  
+ /**
+  * Fires after the theme is loaded.
+  *
+  * @since 3.0.0
+  */
  do_action( 'after_setup_theme' );
  
  // Set up current user.
  $wp->init();
  
  /**
+  * Fires after WordPress has finished loading but before any headers are sent.
+  *
   * Most of WP is loaded at this stage, and the user is authenticated. WP continues
   * to load on the init hook that follows (e.g. widgets), and many plugins instantiate
   * themselves on it for all sorts of reasons (e.g. they need a user, a taxonomy, etc.).
   *
   * If you wish to plug an action once WP is loaded, use the wp_loaded hook below.
+  *
+  * @since 1.5.2
   */
  do_action( 'init' );
  
***************
*** 326,329 ****
   *
   * @since 3.0.0
   */
! do_action('wp_loaded');
--- 358,361 ----
   *
   * @since 3.0.0
   */
! do_action( 'wp_loaded' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-signup.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-signup.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-signup.php	2013-05-15 12:54:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-signup.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 5,11 ****
  
  add_action( 'wp_head', 'wp_no_robots' );
  
! require( './wp-blog-header.php' );
  
  if ( is_array( get_site_option( 'illegal_names' )) && isset( $_GET[ 'new' ] ) && in_array( $_GET[ 'new' ], get_site_option( 'illegal_names' ) ) == true ) {
  	wp_redirect( network_home_url() );
--- 5,11 ----
  
  add_action( 'wp_head', 'wp_no_robots' );
  
! require( dirname( __FILE__ ) . '/wp-blog-header.php' );
  
  if ( is_array( get_site_option( 'illegal_names' )) && isset( $_GET[ 'new' ] ) && in_array( $_GET[ 'new' ], get_site_option( 'illegal_names' ) ) == true ) {
  	wp_redirect( network_home_url() );
***************
*** 18,23 ****
--- 18,28 ----
   * @since MU
   */
  function do_signup_header() {
+ 	/**
+ 	 * Fires within the <head> section of the site sign-up screen.
+ 	 *
+ 	 * @since 3.0.0
+ 	 */
  	do_action( 'signup_header' );
  }
  add_action( 'wp_head', 'do_signup_header' );
***************
*** 63,68 ****
--- 68,78 ----
  add_action( 'wp_head', 'wpmu_signup_stylesheet' );
  get_header();
  
+ /**
+  * Fires before the site sign-up form.
+  *
+  * @since 3.0.0
+  */
  do_action( 'before_signup_form' );
  ?>
  <div id="content" class="widecolumn">
***************
*** 128,134 ****
  	</div>
  
  	<?php
! 	do_action('signup_blogform', $errors);
  }
  
  /**
--- 138,151 ----
  	</div>
  
  	<?php
! 	/**
! 	 * Fires after the site sign-up form.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param array $errors An array possibly containing 'blogname' or 'blog_title' errors.
! 	 */
! 	do_action( 'signup_blogform', $errors );
  }
  
  /**
***************
*** 176,181 ****
--- 193,205 ----
  	if ( $errmsg = $errors->get_error_message('generic') ) {
  		echo '<p class="error">' . $errmsg . '</p>';
  	}
+ 	/**
+ 	 * Fires at the end of the user registration form on the site sign-up form.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param array $errors An array possibly containing 'user_name' or 'user_email' errors.
+ 	 */
  	do_action( 'signup_extra_fields', $errors );
  }
  
***************
*** 209,216 ****
  		$errors = new WP_Error();
  	}
  
! 	// allow definition of default variables
! 	$filtered_results = apply_filters('signup_another_blog_init', array('blogname' => $blogname, 'blog_title' => $blog_title, 'errors' => $errors ));
  	$blogname = $filtered_results['blogname'];
  	$blog_title = $filtered_results['blog_title'];
  	$errors = $filtered_results['errors'];
--- 233,259 ----
  		$errors = new WP_Error();
  	}
  
! 	$signup_defaults = array(
! 		'blogname'   => $blogname,
! 		'blog_title' => $blog_title,
! 		'errors'     => $errors
! 	);
! 
! 	/**
! 	 * Filter the default site sign-up variables.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param array $signup_defaults {
! 	 *     An array of default site sign-up variables.
! 	 *
! 	 *     @type string $blogname   The site blogname.
! 	 *     @type string $blog_title The site title.
! 	 *     @type array  $errors     An array possibly containing 'blogname' or 'blog_title' errors.
! 	 * }
! 	 */
! 	$filtered_results = apply_filters( 'signup_another_blog_init', $signup_defaults );
! 
  	$blogname = $filtered_results['blogname'];
  	$blog_title = $filtered_results['blog_title'];
  	$errors = $filtered_results['errors'];
***************
*** 239,245 ****
  	<p><?php _e( 'If you&#8217;re not going to use a great site domain, leave it for a new user. Now have at it!' ) ?></p>
  	<form id="setupform" method="post" action="wp-signup.php">
  		<input type="hidden" name="stage" value="gimmeanotherblog" />
! 		<?php do_action( 'signup_hidden_fields' ); ?>
  		<?php show_blog_form($blogname, $blog_title, $errors); ?>
  		<p class="submit"><input type="submit" name="submit" class="submit" value="<?php esc_attr_e( 'Create Site' ) ?>" /></p>
  	</form>
--- 282,298 ----
  	<p><?php _e( 'If you&#8217;re not going to use a great site domain, leave it for a new user. Now have at it!' ) ?></p>
  	<form id="setupform" method="post" action="wp-signup.php">
  		<input type="hidden" name="stage" value="gimmeanotherblog" />
! 		<?php
! 		/**
! 		 * Hidden sign-up form fields output when creating another site or user.
! 		 *
! 		 * @since MU
! 		 *
! 		 * @param string $context A string describing the steps of the sign-up process. The value can be
! 		 *                        'create-another-site', 'validate-user', or 'validate-site'.
! 		 */
! 		do_action( 'signup_hidden_fields', 'create-another-site' );
! 		?>
  		<?php show_blog_form($blogname, $blog_title, $errors); ?>
  		<p class="submit"><input type="submit" name="submit" class="submit" value="<?php esc_attr_e( 'Create Site' ) ?>" /></p>
  	</form>
***************
*** 271,277 ****
  	}
  
  	$public = (int) $_POST['blog_public'];
! 	$meta = apply_filters( 'signup_create_blog_meta', array( 'lang_id' => 1, 'public' => $public ) ); // deprecated
  	$meta = apply_filters( 'add_signup_meta', $meta );
  
  	wpmu_create_blog( $domain, $path, $blog_title, $current_user->ID, $meta, $wpdb->siteid );
--- 324,356 ----
  	}
  
  	$public = (int) $_POST['blog_public'];
! 
! 	$blog_meta_defaults = array(
! 		'lang_id' => 1,
! 		'public'  => $public
! 	);
! 
! 	/**
! 	 * Filter the new site meta variables.
! 	 *
! 	 * @since MU
! 	 * @deprecated 3.0.0 Use the 'add_signup_meta' filter instead.
! 	 *
! 	 * @param array $blog_meta_defaults An array of default blog meta variables.
! 	 */
! 	$meta = apply_filters( 'signup_create_blog_meta', $blog_meta_defaults );
! 	/**
! 	 * Filter the new default site meta variables.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param array $meta {
! 	 *     An array of default site meta variables.
! 	 *
! 	 *     @type int $lang_id     The language ID.
! 	 *     @type int $blog_public Whether search engines should be discouraged from indexing the site. 1 for true, 0 for false.
! 	 * }
! 	 */
  	$meta = apply_filters( 'add_signup_meta', $meta );
  
  	wpmu_create_blog( $domain, $path, $blog_title, $current_user->ID, $meta, $wpdb->siteid );
***************
*** 297,302 ****
--- 376,386 ----
  		<?php printf( __( '<a href="http://%1$s">http://%2$s</a> is your new site. <a href="%3$s">Log in</a> as &#8220;%4$s&#8221; using your existing password.' ), $domain.$path, $domain.$path, "http://" . $domain.$path . "wp-login.php", $user_name ) ?>
  	</p>
  	<?php
+ 	/**
+ 	 * Fires when the site or user sign-up process is complete.
+ 	 *
+ 	 * @since 3.0.0
+ 	 */
  	do_action( 'signup_finished' );
  }
  
***************
*** 319,326 ****
  
  	$signup_for = isset( $_POST[ 'signup_for' ] ) ? esc_html( $_POST[ 'signup_for' ] ) : 'blog';
  
! 	// allow definition of default variables
! 	$filtered_results = apply_filters('signup_user_init', array('user_name' => $user_name, 'user_email' => $user_email, 'errors' => $errors ));
  	$user_name = $filtered_results['user_name'];
  	$user_email = $filtered_results['user_email'];
  	$errors = $filtered_results['errors'];
--- 403,428 ----
  
  	$signup_for = isset( $_POST[ 'signup_for' ] ) ? esc_html( $_POST[ 'signup_for' ] ) : 'blog';
  
! 	$signup_user_defaults = array(
! 		'user_name'  => $user_name,
! 		'user_email' => $user_email,
! 		'errors'     => $errors,
! 	);
! 
! 	/**
! 	 * Filter the default user variables used on the user sign-up form.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param array $signup_user_defaults {
! 	 *     An array of default user variables.
! 	 *
! 	 *     @type string $user_name  The user username.
! 	 *     @type string $user_email The user email address.
! 	 *     @type array  $errors     An array of possible errors relevant to the sign-up user.
! 	 * }
! 	 */
! 	$filtered_results = apply_filters( 'signup_user_init', $signup_user_defaults );
  	$user_name = $filtered_results['user_name'];
  	$user_email = $filtered_results['user_email'];
  	$errors = $filtered_results['errors'];
***************
*** 330,336 ****
  	<h2><?php printf( __( 'Get your own %s account in seconds' ), $current_site->site_name ) ?></h2>
  	<form id="setupform" method="post" action="wp-signup.php">
  		<input type="hidden" name="stage" value="validate-user-signup" />
! 		<?php do_action( 'signup_hidden_fields' ); ?>
  		<?php show_user_form($user_name, $user_email, $errors); ?>
  
  		<p>
--- 432,441 ----
  	<h2><?php printf( __( 'Get your own %s account in seconds' ), $current_site->site_name ) ?></h2>
  	<form id="setupform" method="post" action="wp-signup.php">
  		<input type="hidden" name="stage" value="validate-user-signup" />
! 		<?php
! 		/** This action is documented in wp-signup.php */
! 		do_action( 'signup_hidden_fields', 'validate-user' );
! 		?>
  		<?php show_user_form($user_name, $user_email, $errors); ?>
  
  		<p>
***************
*** 376,382 ****
  		return false;
  	}
  
! 	wpmu_signup_user($user_name, $user_email, apply_filters( 'add_signup_meta', array() ) );
  
  	confirm_user_signup($user_name, $user_email);
  	return true;
--- 481,488 ----
  		return false;
  	}
  
! 	/** This filter is documented in wp-signup.php */
! 	wpmu_signup_user( $user_name, $user_email, apply_filters( 'add_signup_meta', array() ) );
  
  	confirm_user_signup($user_name, $user_email);
  	return true;
***************
*** 397,402 ****
--- 503,509 ----
  	<p><?php printf( __( 'Check your inbox at <strong>%s</strong> and click the link given.' ), $user_email ); ?></p>
  	<p><?php _e( 'If you do not activate your username within two days, you will have to sign up again.' ); ?></p>
  	<?php
+ 	/** This action is documented in wp-signup.php */
  	do_action( 'signup_finished' );
  }
  
***************
*** 417,424 ****
  	if ( !is_wp_error($errors) )
  		$errors = new WP_Error();
  
! 	// allow definition of default variables
! 	$filtered_results = apply_filters('signup_blog_init', array('user_name' => $user_name, 'user_email' => $user_email, 'blogname' => $blogname, 'blog_title' => $blog_title, 'errors' => $errors ));
  	$user_name = $filtered_results['user_name'];
  	$user_email = $filtered_results['user_email'];
  	$blogname = $filtered_results['blogname'];
--- 524,554 ----
  	if ( !is_wp_error($errors) )
  		$errors = new WP_Error();
  
! 	$signup_blog_defaults = array(
! 		'user_name'  => $user_name,
! 		'user_email' => $user_email,
! 		'blogname'   => $blogname,
! 		'blog_title' => $blog_title,
! 		'errors'     => $errors
! 	);
! 
! 	/**
! 	 * Filter the default site creation variables for the site sign-up form.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param array $signup_blog_defaults {
! 	 *     An array of default site creation variables.
! 	 *
! 	 *     @type string $user_name  The user username.
! 	 *     @type string $user_email The user email address.
! 	 *     @type string $blogname   The blogname.
! 	 *     @type string $blog_title The title of the site.
! 	 *     @type array  $errors     An array of possible errors relevant to new site creation variables.
! 	 * }
! 	 */
! 	$filtered_results = apply_filters( 'signup_blog_init', $signup_blog_defaults );
! 
  	$user_name = $filtered_results['user_name'];
  	$user_email = $filtered_results['user_email'];
  	$blogname = $filtered_results['blogname'];
***************
*** 432,438 ****
  		<input type="hidden" name="stage" value="validate-blog-signup" />
  		<input type="hidden" name="user_name" value="<?php echo esc_attr($user_name) ?>" />
  		<input type="hidden" name="user_email" value="<?php echo esc_attr($user_email) ?>" />
! 		<?php do_action( 'signup_hidden_fields' ); ?>
  		<?php show_blog_form($blogname, $blog_title, $errors); ?>
  		<p class="submit"><input type="submit" name="submit" class="submit" value="<?php esc_attr_e('Signup') ?>" /></p>
  	</form>
--- 562,571 ----
  		<input type="hidden" name="stage" value="validate-blog-signup" />
  		<input type="hidden" name="user_name" value="<?php echo esc_attr($user_name) ?>" />
  		<input type="hidden" name="user_email" value="<?php echo esc_attr($user_email) ?>" />
! 		<?php
! 		/** This action is documented in wp-signup.php */
! 		do_action( 'signup_hidden_fields', 'validate-site' );
! 		?>
  		<?php show_blog_form($blogname, $blog_title, $errors); ?>
  		<p class="submit"><input type="submit" name="submit" class="submit" value="<?php esc_attr_e('Signup') ?>" /></p>
  	</form>
***************
*** 471,476 ****
--- 604,611 ----
  
  	$public = (int) $_POST['blog_public'];
  	$meta = array ('lang_id' => 1, 'public' => $public);
+ 
+ 	/** This filter is documented in wp-signup.php */
  	$meta = apply_filters( 'add_signup_meta', $meta );
  
  	wpmu_signup_blog($domain, $path, $blog_title, $user_name, $user_email, $meta);
***************
*** 507,521 ****
  		</ul>
  	</p>
  	<?php
  	do_action( 'signup_finished' );
  }
  
  // Main
! $active_signup = get_site_option( 'registration' );
! if ( !$active_signup )
! 	$active_signup = 'all';
! 
! $active_signup = apply_filters( 'wpmu_active_signup', $active_signup ); // return "all", "none", "blog" or "user"
  
  // Make the signup type translatable.
  $i18n_signup['all'] = _x('all', 'Multisite active signup type');
--- 642,662 ----
  		</ul>
  	</p>
  	<?php
+ 	/** This action is documented in wp-signup.php */
  	do_action( 'signup_finished' );
  }
  
  // Main
! $active_signup = get_site_option( 'registration', 'none' );
! /**
!  * Filter the type of site sign-up.
!  *
!  * @since 3.0.0
!  *
!  * @param string $active_signup String that returns registration type. The value can be
!  *                              'all', 'none', 'blog', or 'user'.
!  */
! $active_signup = apply_filters( 'wpmu_active_signup', $active_signup );
  
  // Make the signup type translatable.
  $i18n_signup['all'] = _x('all', 'Multisite active signup type');
***************
*** 555,561 ****
  		case 'default':
  		default :
  			$user_email = isset( $_POST[ 'user_email' ] ) ? $_POST[ 'user_email' ] : '';
! 			do_action( 'preprocess_signup_form' ); // populate the form from invites, elsewhere?
  			if ( is_user_logged_in() && ( $active_signup == 'all' || $active_signup == 'blog' ) )
  				signup_another_blog($newblogname);
  			elseif ( is_user_logged_in() == false && ( $active_signup == 'all' || $active_signup == 'user' ) )
--- 696,707 ----
  		case 'default':
  		default :
  			$user_email = isset( $_POST[ 'user_email' ] ) ? $_POST[ 'user_email' ] : '';
! 			/**
! 			 * Fires when the site sign-up form is sent.
! 			 *
! 			 * @since 3.0.0
! 			 */
! 			do_action( 'preprocess_signup_form' );
  			if ( is_user_logged_in() && ( $active_signup == 'all' || $active_signup == 'blog' ) )
  				signup_another_blog($newblogname);
  			elseif ( is_user_logged_in() == false && ( $active_signup == 'all' || $active_signup == 'user' ) )
***************
*** 579,584 ****
  ?>
  </div>
  </div>
! <?php do_action( 'after_signup_form' ); ?>
  
  <?php get_footer(); ?>
--- 725,736 ----
  ?>
  </div>
  </div>
! <?php
! /**
!  * Fires after the sign-up forms, before wp_footer.
!  *
!  * @since 3.0.0
!  */
! do_action( 'after_signup_form' ); ?>
  
  <?php get_footer(); ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-trackback.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-trackback.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-trackback.php	2013-05-08 19:22:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-trackback.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 1,20 ****
  <?php
  /**
!  * Handle Trackbacks and Pingbacks sent to WordPress
   *
   * @package WordPress
   */
  
  if (empty($wp)) {
! 	require_once('./wp-load.php');
  	wp( array( 'tb' => '1' ) );
  }
  
  /**
!  * trackback_response() - Respond with an error or success XML message
   *
!  * @param int|bool $error Whether there was an error
!  * @param string $error_message Error message if an error occurred
   */
  function trackback_response($error = 0, $error_message = '') {
  	header('Content-Type: text/xml; charset=' . get_option('blog_charset') );
--- 1,28 ----
  <?php
  /**
!  * Handle Trackbacks and Pingbacks Sent to WordPress
!  *
!  * @since 0.71
   *
   * @package WordPress
+  * @subpackage Trackbacks
   */
  
  if (empty($wp)) {
! 	require_once( dirname( __FILE__ ) . '/wp-load.php' );
  	wp( array( 'tb' => '1' ) );
  }
  
  /**
!  * Response to a trackback.
!  *
!  * Responds with an error or success XML message.
!  *
!  * @since 0.71
   *
!  * @param int|bool $error         Whether there was an error.
!  *                                Default '0'. Accepts '0' or '1'.
!  * @param string   $error_message Error message if an error occurred.
   */
  function trackback_response($error = 0, $error_message = '') {
  	header('Content-Type: text/xml; charset=' . get_option('blog_charset') );
***************
*** 33,39 ****
  	}
  }
  
! // trackback is done by a POST
  $request_array = 'HTTP_POST_VARS';
  
  if ( !isset($_GET['tb_id']) || !$_GET['tb_id'] ) {
--- 41,47 ----
  	}
  }
  
! // Trackback is done by a POST.
  $request_array = 'HTTP_POST_VARS';
  
  if ( !isset($_GET['tb_id']) || !$_GET['tb_id'] ) {
***************
*** 44,50 ****
  $tb_url  = isset($_POST['url'])     ? $_POST['url']     : '';
  $charset = isset($_POST['charset']) ? $_POST['charset'] : '';
  
! // These three are stripslashed here so that they can be properly escaped after mb_convert_encoding()
  $title     = isset($_POST['title'])     ? wp_unslash($_POST['title'])      : '';
  $excerpt   = isset($_POST['excerpt'])   ? wp_unslash($_POST['excerpt'])    : '';
  $blog_name = isset($_POST['blog_name']) ? wp_unslash($_POST['blog_name'])  : '';
--- 52,58 ----
  $tb_url  = isset($_POST['url'])     ? $_POST['url']     : '';
  $charset = isset($_POST['charset']) ? $_POST['charset'] : '';
  
! // These three are stripslashed here so they can be properly escaped after mb_convert_encoding().
  $title     = isset($_POST['title'])     ? wp_unslash($_POST['title'])      : '';
  $excerpt   = isset($_POST['excerpt'])   ? wp_unslash($_POST['excerpt'])    : '';
  $blog_name = isset($_POST['blog_name']) ? wp_unslash($_POST['blog_name'])  : '';
***************
*** 54,70 ****
  else
  	$charset = 'ASCII, UTF-8, ISO-8859-1, JIS, EUC-JP, SJIS';
  
! // No valid uses for UTF-7
  if ( false !== strpos($charset, 'UTF-7') )
  	die;
  
! if ( function_exists('mb_convert_encoding') ) { // For international trackbacks
  	$title     = mb_convert_encoding($title, get_option('blog_charset'), $charset);
  	$excerpt   = mb_convert_encoding($excerpt, get_option('blog_charset'), $charset);
  	$blog_name = mb_convert_encoding($blog_name, get_option('blog_charset'), $charset);
  }
  
! // Now that mb_convert_encoding() has been given a swing, we need to escape these three
  $title     = wp_slash($title);
  $excerpt   = wp_slash($excerpt);
  $blog_name = wp_slash($blog_name);
--- 62,79 ----
  else
  	$charset = 'ASCII, UTF-8, ISO-8859-1, JIS, EUC-JP, SJIS';
  
! // No valid uses for UTF-7.
  if ( false !== strpos($charset, 'UTF-7') )
  	die;
  
! // For international trackbacks.
! if ( function_exists('mb_convert_encoding') ) {
  	$title     = mb_convert_encoding($title, get_option('blog_charset'), $charset);
  	$excerpt   = mb_convert_encoding($excerpt, get_option('blog_charset'), $charset);
  	$blog_name = mb_convert_encoding($blog_name, get_option('blog_charset'), $charset);
  }
  
! // Now that mb_convert_encoding() has been given a swing, we need to escape these three.
  $title     = wp_slash($title);
  $excerpt   = wp_slash($excerpt);
  $blog_name = wp_slash($blog_name);
***************
*** 76,82 ****
  	trackback_response(1, 'I really need an ID for this to work.');
  
  if (empty($title) && empty($tb_url) && empty($blog_name)) {
! 	// If it doesn't look like a trackback at all...
  	wp_redirect(get_permalink($tb_id));
  	exit;
  }
--- 85,91 ----
  	trackback_response(1, 'I really need an ID for this to work.');
  
  if (empty($title) && empty($tb_url) && empty($blog_name)) {
! 	// If it doesn't look like a trackback at all.
  	wp_redirect(get_permalink($tb_id));
  	exit;
  }
***************
*** 104,110 ****
  	$commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type');
  
  	wp_new_comment($commentdata);
  
! 	do_action('trackback_post', $wpdb->insert_id);
! 	trackback_response(0);
  }
--- 113,127 ----
  	$commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type');
  
  	wp_new_comment($commentdata);
+ 	$trackback_id = $wpdb->insert_id;
  
! 	/**
! 	 * Fires after a trackback is added to a post.
! 	 *
! 	 * @since 1.2.0
! 	 *
! 	 * @param int $trackback_id Trackback ID.
! 	 */
! 	do_action( 'trackback_post', $trackback_id );
! 	trackback_response( 0 );
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/xmlrpc.php /home/packages/code/qi/SOURCES/wordpress-3.7/xmlrpc.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/xmlrpc.php	2013-03-03 22:23:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/xmlrpc.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 28,34 ****
  /** Include the bootstrap for setting up WordPress environment */
  include('./wp-load.php');
  
! if ( isset( $_GET['rsd'] ) ) { // http://archipelago.phrasewise.com/rsd
  header('Content-Type: text/xml; charset=' . get_option('blog_charset'), true);
  ?>
  <?php echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.'>'; ?>
--- 28,34 ----
  /** Include the bootstrap for setting up WordPress environment */
  include('./wp-load.php');
  
! if ( isset( $_GET['rsd'] ) ) { // http://cyber.law.harvard.edu/blogs/gems/tech/rsd.html
  header('Content-Type: text/xml; charset=' . get_option('blog_charset'), true);
  ?>
  <?php echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.'>'; ?>
***************
*** 42,48 ****
        <api name="Movable Type" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="MetaWeblog" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="Blogger" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
!       <?php do_action( 'xmlrpc_rsd_apis' ); ?>
      </apis>
    </service>
  </rsd>
--- 42,56 ----
        <api name="Movable Type" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="MetaWeblog" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
        <api name="Blogger" blogID="1" preferred="false" apiLink="<?php echo site_url('xmlrpc.php', 'rpc') ?>" />
!       <?php
!       /**
!        * Add additional APIs to the Really Simple Discovery (RSD) endpoint.
!        *
!        * @see http://cyber.law.harvard.edu/blogs/gems/tech/rsd.html
!        * @since 3.5.0
!        */
!       do_action( 'xmlrpc_rsd_apis' );
!       ?>
      </apis>
    </service>
  </rsd>
***************
*** 61,68 ****
   */
  $post_default_title = "";
  
! // Allow for a plugin to insert a different class to handle requests.
! $wp_xmlrpc_server_class = apply_filters('wp_xmlrpc_server_class', 'wp_xmlrpc_server');
  $wp_xmlrpc_server = new $wp_xmlrpc_server_class;
  
  // Fire off the request
--- 69,81 ----
   */
  $post_default_title = "";
  
! /**
!  * Filter the class used for handling XML-RPC requests.
!  *
!  * @since 3.1.0
!  * @param string The name of the XML-RPC server class.
!  */
! $wp_xmlrpc_server_class = apply_filters( 'wp_xmlrpc_server_class', 'wp_xmlrpc_server' );
  $wp_xmlrpc_server = new $wp_xmlrpc_server_class;
  
  // Fire off the request
